#! /bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - libnfnetlink installation
#
# Creation   :  2013-07-21 holbru
# Last update:  $Id: postinstall-libnfnetlink.sh 36499 2014-12-30 12:47:50Z hbfl $
#
# Copyright (c) 2013-2015 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=libnfnetlink

# ---------------------------------------------------------------------------
# generate symlinks
# ---------------------------------------------------------------------------
lib_names="libnfnetlink.so.0.2.0"

cd /usr/lib

for LNAME in ${lib_names}
do
    lib_name=`echo "${LNAME}" | sed 's#\.so.*$##'`
    lib_major=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f1`
    lib_minor=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f2`
    lib_patch=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f3`

    LinkDES="${LNAME}"
    LinkSRC="${lib_name}.so.${lib_major}"

    rm -f ${LinkSRC}
    ln -sf ${LinkDES} ${LinkSRC}
    echo "b 0644 root root ${package_name} usr/lib/${LinkSRC}" \
          >>/etc/filelist.d/${package_name}-files.txt
done
# ---------------------------------------------------------------------------
# running ldconfig
# ---------------------------------------------------------------------------
/sbin/ldconfig


# ---------------------------------------------------------------------------
# generate deinstall file
# ---------------------------------------------------------------------------
#
# check for date
#package_date=`grep "<date>" /var/install/packages/${package_name} |
#              sed 's# ##g; s#</*date>##g'`
#
#cat > /var/install/deinstall/${package_name} <<EOF
##! /bin/sh
##----------------------------------------------------------------------------
## /var/install/deinstall/${package_name} - ${package_name} deinstallation
##
## Creation:     2013-07-21 holbru
## Last Update:  ${package_date} holbru
##
## Copyright (c) 2001-2015 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##----------------------------------------------------------------------------
#
#
## set package name
#package_name=${package_name}
#
## set filelist
#filelist=/etc/filelist.d/\${package_name}-files.txt
#
## check for update is given
#if [ "\${1}" = "--update" ]
#then
#    update=true
#fi
## ---------------------------------------------------------------------------
## remove program files
## ---------------------------------------------------------------------------
#while read id perm user group package file
#do
#    case \${id} in
#        b|u)
#            # remove program files
#            if [ "\${file}" != "tmp/install.sh"    \\
#              -a "\${file}" != "tmp/preinstall.sh" ]
#            then
#                rm -f /\${file}
#            fi
#        ;;
#
#        f)
#            # remove directories
#            rmdir --ignore-fail-on-non-empty /\${file} 2>/dev/null
#        ;;
#    esac
#done < \${filelist}

## ---------------------------------------------------------------------------
# stop remove for update only
# ---------------------------------------------------------------------------
#if \${update:-false}
#then
#    exit 0
#fi
#
#deinstall_file=/var/install/deinstall/\${package_name}-dev
#
#if [ -f \${deinstall_file} ]
#then
#    /var/install/bin/del-package -p \${package_name}-dev
#fi
#
#exit 0
## ---------------------------------------------------------------------------
## end
## ---------------------------------------------------------------------------
#EOF
#
#chmod 0600 /var/install/deinstall/${package_name}
#touch -r /var/install/packages/${package_name} /var/install/deinstall/${package_name}
#echo "u 0600 root root ${package_name} var/install/deinstall/${package_name}" >>/etc/filelist.d/${package_name}-files.txt


exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
